PARTX(8)

NUME
partx - informează nucleul despre prezența și numerotarea partițiilor de pe disc

REZUMAT

partx [-a|-d|-P|-r|-s|-u] [-t tip] [-n M:_N_] [-] disc

partx [-a|-d|-P|-r|-s|-u] [-t tip] partiția [disc]

DESCRIERE

Dându-i un dispozitiv sau o imagine de disc, partx încearcă să analizeze tabelul de partiții și să listeze conținutul acestuia. De asemenea, îi poate solicita nucleului să adauge sau să elimine partiții din evidența sa.

Argumentul disc este opțional atunci când este furnizat un argument partitția. Pentru a forța scanarea unei partiții ca și cum ar fi un disc întreg (de exemplu, pentru a lista subpartițiile imbricate), utilizați argumentul „-” (cratimă-minus). De exemplu:

    partx --show - /dev/sda3

În acest mod, va vedea sda3 ca un disc întreg și nu ca o partiție.

partx nu este un program fdisk - adăugarea și eliminarea de partiții nu modifică discul, ci doar informează nucleul despre prezența și numerotarea partițiilor de pe disc.

OPȚIUNI

-a, --add
    Adaugă partițiile specificate sau citește discul și adaugă toate partițiile.

-b, --bytes
    Afișează dimensiunile în octeți, și nu într-un format ușor de citit de către om.

    În mod implicit, dimensiunile sunt afișate în unități care reprezintă puteri de 1024 de octeți. Abrevierile formale pentru aceste unități (Kio, Mio, Gio, ...) sunt scurtate la rândul lor la doar prima literă: K, M, G, ....

-d, --delete
    Șterge partițiile specificate sau toate partițiile. Nu este o eroare să se elimine partiții inexistente, astfel încât această opțiune poate fi utilizată împreună cu intervale mari de --nr, fără a se ține cont de partițiile curente definite pe dispozitiv.

-g, --noheadings
    Nu afișează o linie de titlu cu --show sau --raw.

-l, --list
    Listează partițiile. Rețineți că toate numerele sunt în sectoare de 512 octeți. Acest format de ieșire este DEPRECIAT în favoarea formatului --show. Nu-l utilizați în scripturile nou scrise.

-n, --nr M:N
    Specifică intervalul de partiții. Pentru compatibilitate retroactivă, se acceptă și formatul M-N. Intervalul poate conține numere negative, de exemplu --nr -1:-1 înseamnă ultima partiție, iar --nr -2:-1 înseamnă ultimele două partiții. Specificațiile de interval acceptate sunt:

    M
        Specifică doar o singură partiție (de exemplu, --nr 3).

    M:
        Specifică numai limita inferioară (de exemplu, --nr 2:).

    :N
        Specifică numai limita superioară (de exemplu, --nr :4).

    M:N
        Specifică limitele inferioară și superioară (de exemplu, --nr 2:4).

-o, --output listă
    Definește coloanele de ieșire care urmează să fie utilizate pentru ieșirile --show, --pairs și --raw. Dacă nu se specifică niciun aranjament de ieșire, se utilizează un set implicit. Utilizați --help pentru a obține o listă cu toate coloanele acceptate. Această opțiune nu poate fi combinată cu opțiunile --add, --delete, --update sau --list.

--output-all
    Afișează toate coloanele disponibile.

-P, --pairs
    Listează partițiile folosind formatul CHEIE="valoare".

-r, --raw
    Listează partițiile folosind formatul de ieșire brut.

-s, --show
    Listează partițiile. Coloanele de ieșire pot fi selectate și rearanjate cu ajutorul opțiunii --output. Toate numerele (cu excepția DIMENSIUNEA) sunt în sectoare de 512 octeți.

-t, --type tip
    Specifică tipul tabelului de partiții.

--list-types
    Listează tipurile de partiții acceptate și iese.

-u, --update
    Actualizează partițiile specificate.

-S, --sector-size dimensiunea
    Suprascrie dimensiunea implicită a sectorului.

-v, --verbose
    Modul super-descriptiv.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

LIBBLKID_DEBUG=all
    activează ieșirea de depanare a libblkid.

EXEMPLU

partx --show /dev/sdb3, partx --show --nr 3 /dev/sdb, partx --show /dev/sdb3 /dev/sdb
    Toate cele trei comenzi listează partiția 3 din dispozitivul /dev/sdb.

partx --show - /dev/sdb3
    Listează toate subpartițiile de pe /dev/sdb3 (dispozitivul este utilizat ca disc întreg).

partx -o START -g --nr 5 /dev/sdb
    Afișează sectorul de început al partiției 5 de pe /dev/sdb fără antet.

partx -o SECTORS,SIZE /dev/sda5 /dev/sda
    Afișează lungimea în sectoare și dimensiunea într-un format ușor de citit de către om, a partiției 5 de pe /dev/sda.

partx --add --nr 3:5 /dev/sdd
    Adaugă toate partițiile disponibile de la 3 la 5 (inclusiv) pe /dev/sdd.

partx -d --nr -1: /dev/sdd
    Elimină ultima partiție de pe dispozitivul /dev/sdd.

AUTORI

Versiunea originală a fost scrisă de

CONSULTAȚI ȘI

addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda partx face parte din pachetul util-linux care poate fi descărcat de la